2004-12-07 11:02  yenzenz

	* AUTHORS, ChangeLog, HISTORY.txt, InstalledProduct.py,
	  QuickInstallerTool.py, refresh.txt, version.txt: * workaround for
	  bug 'BadRequest' while reinstalling a product, for some   reason
	  QI stores info about the skins of dependend Products also in the
	  main-installed product. on uninstall this becomes a problem.
	  silently   ignore those problems.  * some cleanup:   * moved
	  ChangeLog to HISTORY.txt and added a generated ChangeLog (cvs2cl)
	  * using of StringTypes   * increased Version

2004-11-25 18:01  shh42

	* version.txt: Bump up version number in CVS too.

2004-10-13 20:01  bcsaller

	* parser.py: changed to support multiple products directories. If
	  it wasn't in the first the parser wouldn't work.

2004-09-18 12:36  dreamcatcher

	* QuickInstallerTool.py, forms/install_products_form.zpt: Add
	  manage_workspace to url. Add product name to traceback_info

2004-08-19 18:18  shh42

	* QuickInstallerTool.py: zExceptions.NotFound does not exist in
	  Zope 2.6.

2004-08-06 09:22  hoka

	* InstalledProduct.py, PLIP.TXT, QuickInstallerTool.py,
	  READMEPATCH.TXT, dependencies.conf, installer.py, parser.py,
	  version.txt, schemas/dependencies.xml: overwork the plip added
	  dependency installing for tools over xml !!Please check this part
	  before you use it!! added support for using path expression so
	  you can acces to site_properties and the other config sheets.
	  Please look in readmepatch,dependencies.xml and plip to read more

2004-08-06 08:04  hoka

	* installer.py: fix msg error in PropertyInstaller

2004-07-28 03:35  dreamcatcher

	* InstalledProduct.py, QuickInstallerTool.py, installer.py,
	  parser.py, forms/install_products_form.pt,
	  forms/install_products_form.zpt,
	  forms/installed_product_overview.pt,
	  forms/installed_product_overview.zpt: Some cleaning i've been
	  treating to do for a long time.

2004-07-08 11:44  hoka

	* installer.py, schemas/actions.xml: enable support for
	  controlpannel actions put them in actions.conf.

2004-07-07 14:39  hoka

	* installer.py: change message

2004-07-07 08:04  hoka

	* QuickInstallerTool.py: changed eval to getattr

2004-07-06 15:36  hoka

	* InstalledProduct.py, QuickInstallerTool.py, installer.py: edit
	  status messages in installing uninstalling, added messages to msg
	  log text

2004-07-02 11:34  hoka

	* parser.py: I noticed that there is a filtering of $ in ZConfig in
	  parsing value so for this stuff i overwrite the _split method
	  from substitution because there can be a use of python and string
	  expression in values so we don't need the substitution here.

2004-06-29 14:53  hoka

	* QuickInstallerTool.py, READMEPATCH.TXT, actionicons.conf,
	  actions.conf, installer.py, parser.py, properties.conf,
	  version.txt, schemas/actionicons.xml, schemas/actions.xml,
	  schemas/properties.xml: Please lock in ReadmePatch for changes.
	  There are a lot :)

2004-06-27 20:58  shh42

	* parser.py: Don't use the environment variable for INSTANCE_HOME,
	  use the builtin.

2004-06-24 14:08  hoka

	* InstalledProduct.py, PLIP.TXT, READMEPATCH.TXT, actions,
	  installer.py, parser.py, properties: This is the plip39 bases
	  Quickinstaller version please visit www.plone.org to see more or
	  read READMEPATCH and PLIP in this Version

2004-06-23 15:02  hoka

	* PLIP.TXT: Modified Plip

2004-06-23 14:55  hoka

	* InstalledProduct.py, PLIP.TXT, QuickInstallerTool.py,
	  READMEPATCH.TXT, actions, installer.py, parser.py, properties:
	  This is the plip39 bases Quickinstaller version please visit
	  www.plone.org to see more or read READMEPATCH and PLIP in this
	  Version

2004-05-04 23:32  dreamcatcher

	* makefile.in, version.txt: Bump version, dont include debian stuff
	  in the tarball.

2004-05-04 23:29  dreamcatcher

	* makefile.in: Add makefile

2004-05-04 23:29  dreamcatcher

	* InstalledProduct.py, QuickInstallerTool.py, __init__.py,
	  __pkginfo__.py, interfaces/__init__.py,
	  interfaces/portal_quickinstaller.py: Cleanup whitespace

2004-04-18 03:31  zworkb

	* InstalledProduct.py: in the update method check for the presence
	  of the attributes (backward compatibility)

2004-04-16 18:52  limi

	* tool.gif: Added new tool icon.

2004-04-07 22:13  bcsaller

	* QuickInstallerTool.py: missing import

2004-03-20 02:50  zworkb

	* QuickInstallerTool.py, interfaces/portal_quickinstaller.py:
	  appled patch for catching zExceptions.NotFound exception when
	  trying to retrieve the install method. - thanks to Daniel Nouri

2004-03-17 12:45  achilles_

	* QuickInstallerTool.py:
	  Added test to check if right_slots and left_slots are callable,
	  and if so to actually call them instead of trying to treat a
	  method as a list.

	  Fixes 2881 in the plone collector.

2004-03-10 10:45  zworkb

	* InstalledProduct.py: fixed #2838 - uninstalling products that
	  have been manually removed from ControlPanel before produced a
	  traceback

2004-03-05 22:03  zopezen

	* QuickInstallerTool.py: I altered the name of the package to zpi
	  so this should fix the import

2004-02-28 19:19  zworkb

	* QuickInstallerTool.py: oops fixed an exception handling bug in
	  getInstallMethod

2004-02-28 19:13  zworkb

	* QuickInstallerTool.py: docstring for isProductInstallable

2004-02-28 19:05  zworkb

	* QuickInstallerTool.py: cleanup: getInstallMethod now raises an
	  error when the method cannot be loaded

	  isProductInstalled does now the swallowing of the exception

2004-02-27 03:14  achilles_

	* InstalledProduct.py:
	  Remove manage_beforeDelete hook as this is not necessary. Fixes
	  Plone collector #2683

2004-02-26 16:52  zworkb

	* QuickInstallerTool.py: removed remaining stdout.flush() stmts

2004-02-18 11:20  shh42

	* QuickInstallerTool.py: Removed two leftover debug print
	  statements.

2004-02-17 18:24  zworkb

	* QuickInstallerTool.py: added support for pacman (kapil's product
	  for installing new products at runtime without restarting zope)
	  thanks to andy mckay for implementing the support

2004-02-17 16:50  zworkb

	* QuickInstallerTool.py, version.txt: quickinstaller threw an
	  exception when a product has been deleted through the ZMI in the
	  ControlPanel this is catched now

2004-01-06 13:12  dpunktnpunkt

	* QuickInstallerTool.py: Provide exception string when raising
	  AlreadyInstalled.

2003-12-22 16:39  dreamcatcher

	* QuickInstallerTool.py: Add docstring

2003-12-05 14:52  syt

	* debian/: changelog, control, rules: update debian package

2003-12-02 11:32  zworkb

	* SkinRegistrar.py: updated SkinRegistrar

2003-12-01 04:12  zworkb

	* debian/control: updated dbian description

2003-12-01 04:05  zworkb

	* ChangeLog: We have a Changelog now!

2003-12-01 03:16  zworkb

	* version.txt: the release is comint :)

2003-11-27 18:32  zworkb

	* QuickInstallerTool.py: dont swallow InvalidObjectReference
	  exception

2003-11-27 15:49  zworkb

	* AUTHORS, QuickInstallerTool.py, README.txt,
	  interfaces/portal_quickinstaller.py: preparation for 1.4 release:
	  catch IvalidObjectReference

	  updated README and AUTHORS

2003-11-19 03:42  zopezen

	* QuickInstallerTool.py: Remove the except: pass from trying to
	  make a External method, if there is an error in the import log
	  the error to ZLOG. Unfortunately there is a string error we have
	  to try and catch as well. That string error occurs when the
	  module cant be found, so we should ignore that.

2003-11-15 00:47  zworkb

	* QuickInstallerTool.py: for reinstall set stoponerror to 1

2003-11-15 00:02  zworkb

	* InstalledProduct.py, QuickInstallerTool.py: the reinstall process
	  combines an uninstall and install of the selected prods.  I now
	  changed this so that portal_objects dont get uninstalled, so for
	  example tools dont loose their data

2003-10-30 16:39  runyaga

	* InstalledProduct.py: check portal.removal_inprogress attribute.
	  we will want to move toEvents in 2.1

2003-10-25 02:59  zworkb

	* QuickInstallerTool.py: the permission on reinstallProducts was
	  wrong

2003-10-24 21:50  zworkb

	* QuickInstallerTool.py: fixed plone bug
	  http://plone.org/collector/1765 repaired the transaction handling

2003-10-24 19:46  zworkb

	* QuickInstallerTool.py: changed getProductFile so, that it
	  correctly retrieves the product's homedir through
	  Controlpanel._getOb('product').name

2003-10-23 16:07  tiran

	* interfaces/portal_quickinstaller.py: fixed interface - removed
	  self

2003-10-13 03:36  zworkb

	* QuickInstallerTool.py, forms/install_products_form.pt,
	  interfaces/portal_quickinstaller.py: if products have been
	  removed from disc, mark them in the installed list as 'removed'

2003-10-07 09:50  syt

	* debian/config: minor fix

2003-10-07 09:50  syt

	* __pkginfo__.py: add debian infos

2003-10-05 18:38  zworkb

	* InstalledProduct.py, QuickInstallerTool.py,
	  forms/install_products_form.pt,
	  interfaces/portal_quickinstaller.py: track versions of products
	  in the moment of install, display product version red, if the
	  product version is  different from the installed version

2003-10-05 17:34  zworkb

	* QuickInstallerTool.py, version.txt,
	  forms/install_products_form.pt,
	  interfaces/portal_quickinstaller.py: added getProductVersion

2003-10-05 16:58  zworkb

	* version.txt: updated version

2003-10-05 16:30  zworkb

	* QuickInstallerTool.py, forms/install_products_form.pt,
	  interfaces/portal_quickinstaller.py: and yes: finally
	  Quickinstaller has a reinstall button now

2003-10-05 16:14  zworkb

	* interfaces/portal_quickinstaller.py: now i also updated the
	  interface :)

2003-10-05 16:03  zworkb

	* InstalledProduct.py, QuickInstallerTool.py,
	  forms/installed_product_overview.pt: QuickInstaller now also
	  tracks entries in the content_type_registry.

2003-10-05 13:24  zworkb

	* QuickInstallerTool.py: improved transaction handling in the
	  installProducts method by using a subtransaction

2003-09-26 16:04  zworkb

	* interfaces/__init__.py: added a blank because winzip ignores
	  files with zero length

2003-09-24 00:22  zworkb

	* QuickInstallerTool.py: protected all methods in
	  QuickInstallerTool

2003-09-14 20:35  limi

	* tool.gif: Added proper tool icon ;)

2003-09-13 13:48  zworkb

	* QuickInstallerTool.py, interfaces/portal_quickinstaller.py: added
	  getProductReadme

2003-09-13 13:44  zworkb

	* QuickInstallerTool.py, interfaces/portal_quickinstaller.py: [no
	  log message]

2003-08-14 14:45  dreamcatcher

	* QuickInstallerTool.py: Small tweaks, whitespace

2003-08-13 13:14  syt

	* README.txt: add note for debian package in README

2003-08-13 13:07  syt

	* version.txt, debian/changelog, debian/control, debian/copyright,
	  debian/rules, debian/templates: fix debian packaging, ready for
	  1.3

2003-08-05 15:37  syt

	* DEPENDS, debian/control: add dependancy on the cmf

2003-08-05 15:26  syt

	* __pkginfo__.py, version.txt, debian/changelog, debian/config,
	  debian/control, debian/copyright, debian/debianizerc,
	  debian/dirs, debian/postinst, debian/prerm, debian/rules,
	  debian/templates: add files for debian packaging

2003-07-24 02:04  zworkb

	* QuickInstallerTool.py: fixed bug in exception handling of
	  installProduct

2003-07-24 02:00  zworkb

	* InstalledProduct.py, QuickInstallerTool.py: fixed bug in the
	  error handling of installProduct

2003-07-19 10:49  zworkb

	* AUTHORS, README.txt: updated the docs

2003-07-19 10:32  zworkb

	* QuickInstallerTool.py, interfaces/portal_quickinstaller.py:
	  source cosmetics: reordered some methods

2003-07-16 04:55  zworkb

	* QuickInstallerTool.py, interfaces/portal_quickinstaller.py:
	  finalized alan's changes:

	  installProducts now throws AlreadyInstalled if a product has been
	  installed outside QuickInstaller

2003-07-15 05:09  runyaga

	* QuickInstallerTool.py, __init__.py: put in a AlreadyInstalled
	  exception.. and took out the get_trnx().commit()/abort() you
	  really ought not to do things like this; a abort() immediately
	  dumps the objects from the TM and anyone out of the code block
	  wont know that you did it ;-(

2003-07-10 20:10  zworkb

	* QuickInstallerTool.py: removed extraneous parameter 'showHidden'
	  in the call to isInstlled

2003-07-09 09:25  zworkb

	* IQuickInstaller.py, InstalledProduct.py, QuickInstallerTool.py,
	  interface.py, interfaces/__init__.py, interfaces/interface.py,
	  interfaces/portal_quickinstaller.py: moved interface code to
	  interfaces/portal_quickinstaller.py

2003-07-09 04:04  zworkb

	* IQuickInstaller.py, InstalledProduct.py, QuickInstallerTool.py,
	  forms/install_products_form.pt: listInstalledProducts just lists
	  hidden products if 'showHidden' is set to 1

2003-07-09 03:30  zworkb

	* IQuickInstaller.py, InstalledProduct.py, QuickInstallerTool.py,
	  interface.py, forms/install_products_form.pt: added the method
	  'notifyInstalled' to QuickInstallerTool  with that you can
	  register a product as installed that has been installed without
	  quickinstaller

	  added interfaces to QuickInstallerTool and InstalledProduct

2003-06-09 21:08  zworkb

	* QuickInstallerTool.py: there was the bug that Quickinstaller
	  failed, if the portal has no left7right actions defined.  thats
	  fixed now

2003-05-26 14:20  zworkb

	* InstalledProduct.py: fixed bug:

	  when uninstalling a product and it's uninstall method returns
	  None a Type error occured

2003-05-24 20:51  zworkb

	* InstalledProduct.py: uninstall: there was the bug that if
	  anything was manually deleted del manage_delObjects calls rose an
	  exception.

	  this is fixed now

2003-05-24 19:22  zworkb

	* QuickInstallerTool.py, SkinRegistrar.py: included SkinRegistrar
	  as utility for registering skins Usage (in install.py/install):

	  from Products.CMFQuickInstallerTool.SkinRegistrar import
	  SkinRegistrar

	  def install():     reg=SkinRegistrar('skins',calendarGlobals)
	  reg.install(self)

2003-04-07 22:42  zworkb

	* AUTHORS, InstalledProduct.py, QuickInstallerTool.py, README.txt,
	  forms/installed_product_overview.pt: include Rocky Burt's support
	  for TTW Products. Thx

2003-04-02 22:59  zworkb

	* InstalledProduct.py, QuickInstallerTool.py, README.txt,
	  __init__.py: 1.0

2003-03-05 18:18  zworkb

	* InstalledProduct.py: fixed another typo

2003-03-05 15:58  zworkb

	* InstalledProduct.py: typo: portal.rightslots ->
	  portal.right_slots, same for leftslots

2003-03-03 22:33  zworkb

	* InstalledProduct.py, README.txt: support for customized uninstall
	  (see readme.txt)

2003-03-02 23:31  zworkb

	* QuickInstallerTool.py: added method 'getInstallMethod' to find
	  the valid install method

2003-02-16 15:11  zworkb

	* InstalledProduct.py: removed print stmt

2003-02-16 14:22  zworkb

	* InstalledProduct.py, QuickInstallerTool.py, __init__.py: update

2003-02-16 14:09  zworkb

	* InstalledProduct.py: renamed 'left_slots' and 'right_slots' to
	  'leftslots' etc.

2003-02-16 12:29  zworkb

	* .cvsignore, AUTHORS, InstalledProduct.py, QuickInstallerTool.py,
	  README.txt, __init__.py, refresh.txt, tool.gif,
	  forms/install_products_form.pt,
	  forms/installed_product_overview.pt: Initial revision

2003-02-16 12:29  zworkb

	* .cvsignore, AUTHORS, InstalledProduct.py, QuickInstallerTool.py,
	  README.txt, __init__.py, refresh.txt, tool.gif,
	  forms/install_products_form.pt,
	  forms/installed_product_overview.pt: initial upload

